// Copyright (c) 1999 Brian Wellington (bwelling@xbill.org)
// Portions Copyright (c) 1999 Network Associates, Inc.

package org.xbill.DNS;

import java.io.IOException;

import org.xbill.DNS.utils.DataByteInputStream;
import org.xbill.DNS.utils.MyStringTokenizer;

/**
 * Key Exchange - delegation of authoritu
 * 
 * @author Brian Wellington
 */

public class KXRecord extends MX_KXRecord {

	/**
	 * Creates a KX Record from the given data
	 * 
	 * @param preference The preference of this KX. Records with lower priority
	 *            are preferred.
	 * @param target The host that authority is delegated to
	 */
	public KXRecord(Name _name, short _dclass, int _ttl, int _preference, Name _target) {
		super(_name, Type.KX, _dclass, _ttl, _preference, _target);
	}

	KXRecord() {
	}

	KXRecord(Name _name, short _dclass, int _ttl, int length, DataByteInputStream in, Compression c) throws IOException {
		super(_name, Type.KX, _dclass, _ttl, length, in, c);
	}

	KXRecord(Name _name, short _dclass, int _ttl, MyStringTokenizer st, Name origin) throws IOException {
		super(_name, Type.KX, _dclass, _ttl, st, origin);
	}

}
